{include file="header.tpl"}

{***** YOU ARE HERE *****}
{if $query}
	{if $page > 1}
		<div id="pathway"><a href="{$SITE_URL}/" class="you-are-here">Home</a> <span class="you-are-here-raquo">&raquo;</span> <a href="{$SITE_URL}/search.php" class="you-are-here">Search</a> <span class="you-are-here-raquo">&raquo;</span> <a href="{$SITE_URL}/search.php?query={$query}" class="you-are-here">{$query}</a> <span class="you-are-here-raquo">&raquo;</span> Page {$page}</div>
	{else}
		<div id="pathway"><a href="{$SITE_URL}/" class="you-are-here">Home</a> <span class="you-are-here-raquo">&raquo;</span> <a href="{$SITE_URL}/search.php" class="you-are-here">Search</a> <span class="you-are-here-raquo">&raquo;</span> {$query}</div>
	{/if}
{else}
		<div id="pathway"><a href="{$SITE_URL}/" class="you-are-here">Home</a> <span class="you-are-here-raquo">&raquo;</span> Search</div>
{/if}
		

    <form action="{$SITE_URL}/search.php">
      <input type="text" name="query" size="50" value="{$query}" /> <input type="submit" value="Search" />
    </form>


{fetch_articles fields=title,url,content,images,sectionId query=$query page=$page perPage=10 assign=searchResults assignPagination=pagination}

{foreach item=article from=$searchResults name=searchResults}
		  <div id="block">
		    <h3><a href="{$article.section.url}">{$article.section.name}</a> / <a href="{$article.url}">{$article.title}</a></h3>
		  {if $article.images}
		  <a href="{$article.url}"><img src="{$article.images.small.url}" width="{$article.images.small.width}" height="{$article.images.small.height}" hspace="10" vspace="0" align="left" /></a> 
		  {/if}
		  {$article.content|smarty:nodefaults|strip_html|make_snippet:$query|bold_words:$query}
		  <div id="fullstory"><a href="{$article.url}">Full Story &raquo;</a></div>		  
	      </div>
		  <div id="hdiv"><img src="{$THEME_URL}/images/hdiv.jpg" alt="" width="113" height="17" /></div> 

{foreachelse}

{***** NO ARTICLES *****}
    <div id="block"><p>- None -</p></div>
{/foreach}

{if $pagination.pages}
    <table cellpadding="2" align="center"><tr>
      {if $pagination.previousPage}
        <td><a href="{$pagination.previousPage.url}">Previous page</a></td>
      {/if}
      {foreach from=$pagination.pages item=pageNum}
      <td>
        {if $pageNum.num eq $page}
          <span class="actpage">{$pageNum.num}</span>
        {elseif $pageNum.num eq '...'}
          ...
        {else}
          <a href="{$pageNum.url}" class="page">{$pageNum.num}</a>
        {/if}
      </td>
      {/foreach}
      {if $pagination.nextPage}
        <td><a href="{$pagination.nextPage.url}">Next page</a></td>
      {/if}
    </tr></table>
{/if}

{include file="footer.tpl"}