<html>
<head>
	<title>Login - Article Publisher</title>
	<meta http-equiv="Content-Type" content="text/html; charset={$config.charset}">
	<link href="style.css" type="text/css" rel="stylesheet">
	<link rel="shortcut icon" href="favicon.ico" type="image/x-icon">
	<link rel="icon" href="favicon.ico" type="image/x-icon">
	<script type="text/javascript" src="script.js"></script>
</head>
<body>

<table width="100%" height="80%"><tr><td align="center" valign="middle">
	<form method="post" action="login.php" id="login">
	<input type="hidden" name="action[login]" value="1" />
	
	{if $errors or $messages}
	<table cellpadding="0" cellspacing="0" align="center"><tr><td class="infobox">
		{if $errors.wrong_username_password}<div class="error">The username or password you have entered is incorrect.</div>{/if}
		{if $messages.logged_out}<div>You have successfully signed out.</div>{/if}
		{if $errors.already_logged_out}<div class="error">You are already signed out.</div>{/if}
		{if $errors.enter_username_password}<div class="error">You must enter both your username and password.</div>{/if}
		{if $errors.antibot}<div class="error">You must enter numbers from the <a href="http://en.wikipedia.org/wiki/Captcha">CAPTCHA</a> image.</div>{/if}
	</td></tr></table><br />
	{/if}

	<table cellpadding="0" cellspacing="0" width="290" bgcolor="#F5F5F5" class="main">
		<tr><td><img src="images/login-corner-tl.gif" width="13" height="13"></td><td background="images/login-top-bg.gif" width="100%"></td><td><img src="images/login-corner-tr.gif" width="13" height="13"></td></tr>
		<tr><td background="images/login-left-bg.gif"></td><td>

		<table cellpadding="0" cellspacing="0" width="100%">
			<tr><td height="10"></td></tr>
			<tr><td width="15"></td><td><img src="images/logo.gif" width="151" height="19"></td><td width="15"></td></tr>
			<tr><td height="3"></td></tr>
			<tr><td width="15"></td><td background="images/login-sprt.gif"></td><td width="15"></td></tr>
			<tr><td height="15"></td></tr>
			<tr><td width="15"></td><td align="center">
				<table cellpadding="5" cellspacing="0">
					<tr>
						<td align="right">Username:</td>
						<td><input type="text" name="login[loginName]" value="{$login.loginName}"></td>
					</tr>
					<tr>
						<td align="right">Password:</td>
						<td><input type="password" name="login[password]"></td>
					</tr>
					{if $requireAntibot}
					<tr>
						<td align="right" title="Completely Automated Public Turing test to tell Computers and Humans Apart">CAPTCHA:</td>
						<td><input type="text" name="login[antibot]" size="4" autocomplete="off"><img src="antibot.php" height="36" align="absMiddle" alt="Anti-Bot" /></td>
					</tr>
					{/if}
					<tr>
						<td height="10"></td>
					</tr>
					<tr>
						<td></td><td><input type="submit" value="Sign In" class="signIn"></td>
					</tr>
				</table>
			</td><td width="15"></td></tr>
			<tr><td height="10"></td></tr>
		</table>
		
		</td><td background="images/login-right-bg.gif"></td></tr>
		<tr><td><img src="images/login-corner-bl.gif" width="13" height="13"></td><td background="images/login-bottom-bg.gif" width="100%"></td><td><img src="images/login-corner-br.gif" width="13" height="13"></td></tr>
	</table>
	
	</form>
</td></tr></table>

<script language="javascript"><!--
	document.getElementById('login')['login[loginName]'].focus();
//--></script>

</body>
</html>
