<?php
	if(!defined('SITE_URL')) die('Hacking attempt!');

	global $smarty, $config, $article;
	
	$recommend = getRequestVar('recommend', $noEscape = true);
	
	if(!empty($recommend)){
		/* checking sender's email */
		$recommend['sender_email'] = trim($recommend['sender_email']);
		if(!preg_match('/^[A-Z0-9\._\-]+@[A-Z0-9\.\-]+\.[A-Z]{2,4}$/i', $recommend['sender_email'])) $errors['sender_email'] = true;

		/* checking friend's email */
		$recommend['friend_email'] = trim($recommend['friend_email']);
		if(!preg_match('/^[A-Z0-9\._\-]+@[A-Z0-9\.\-]+\.[A-Z]{2,4}$/i', $recommend['friend_email'])) $errors['friend_email'] = true;

		/* removing bad symbols from sender's name */
		$recommend['sender_name'] = preg_replace("/(%0A|%0D|\n|\r)/i", '', trim($recommend['sender_name']));
		if(empty($recommend['sender_name'])) $errors['sender_name'] = true;

		/* removing bad symbols from friend's name */
		$recommend['friend_name'] = preg_replace("/(%0A|%0D|\n|\r)/i", '', trim($recommend['friend_name']));
		if(empty($recommend['friend_name'])) $errors['friend_name'] = true;

		if(empty($errors)){
			$recipient = $recommend['friend_email'];
			$subject   = '=?'.$config['charset'].'?B?'.base64_encode($article['title']).'?=';
			$message   = chunk_split(base64_encode($smarty->fetch('recommend-message.tpl')), 68, "\n");
			$headers   = "From: ".'=?'.$config['charset'].'?B?'.base64_encode($recommend['sender_name']).'?='." <$recommend[sender_email]>\nContent-Type: text/plain; charset=$config[charset]\nMIME-Version: 1.0\nContent-Transfer-Encoding: base64";
			
			mail($recipient, $subject, $message, $headers);
			$smarty->assign('message_has_been_sent', true);
		} else {
			$smarty->assign('errors', $errors);
		}
	}
?>