<?xml version='1.0' encoding='{$config.charset}'?>
<rss version='2.0'>
  <channel>
{if $section}
    <title>{$section.name} - {$config.website_name}</title>
    <link>{$section.url}</link>
    <description>{$section.description|default:"`$config.website_name` delivers the latest interesting news and articles on the latest technology, entertainment, automotive, and more."}</description>
{else}
    <title>{$config.website_name}</title>
    <link>{$SITE_URL}/</link>
    <description>{$config.website_name} delivers the latest interesting news and articles on the latest technology, entertainment, automotive, and more.</description>
{/if}
    <lastBuildDate>{$smarty.now|format_time}</lastBuildDate>
{fetch_articles assign=articles perPage=10 section=$sectionId fields="title, sectionId, url, publishedOn, summary, content"}
{foreach from=$articles item=article}
    <item>
      <guid isPermaLink="true">{$article.url}</guid>
      <link>{$article.url}</link>
      <pubDate>{$article.publishedOn|format_date}</pubDate>
      <title>{$article.title}</title>
      <description>{$article.summary|default:$article.content|truncate:350}</description>
      <category domain="{$article.section.url}">{$article.section.name}</category>
    </item>
{/foreach}
  </channel>
</rss>