{include file="header.tpl" title=$webpage.title keywords=$webpage.keywords description=$webpage.description}

{***** YOU ARE HERE *****}
<div id="pathway">Featured Articles <a href="rss.xml" target="_blank"><img src="{$THEME_URL}/images/i-rss.gif" alt="Latest Articles RSS Feed" width="12" height="12" hspace="5" border="0" align="absmiddle" /></a></div>

{fetch_articles assign=featuredArticles limit=3 skip=hiddenSections hasImage=yes isFeatured=yes}
{foreach item=article from=$featuredArticles name=featuredArticles}

	{if $smarty.foreach.featuredArticles.iteration eq 1}

	{***** FIRST FEATURED *****}  

		<div id="block">
			<h1><a href="{$article.section.url}">{$article.section.name}</a> / <a href="{$article.url}">{$article.title}</a></h1>
			{if $article.images}
				<a href="{$article.url}"><img src="{$article.images.small.url}" width="{$article.images.small.width}" height="{$article.images.small.height}" hspace="10" vspace="0" align="left"  /></a> 
			{/if}
			{$article.summary|smarty:nodefaults}
			<div id="fullstory"><a href="{$article.url}">Full Story &raquo;</a></div>
		</div>
		<div id="hdiv"><img src="{$THEME_URL}/images/hdiv.jpg" alt="" width="113" height="17" /></div>

	{else}

	{***** OTHER FEATURED *****} 		  
		<div id="block">
			<h3><a href="{$article.section.url}">{$article.section.name}</a> / <a href="{$article.url}">{$article.title}</a></h3>
			{if $article.images}
				<a href="{$article.url}"><img src="{$article.images.small.url}" width="{$article.images.small.width}" height="{$article.images.small.height}" hspace="10" vspace="0" align="right" /></a>
			{/if}
			{$article.summary|smarty:nodefaults}
			<div id="fullstory"><a href="{$article.url}">Full Story &raquo;</a></div>
		</div>
		<div id="hdiv"><img src="{$THEME_URL}/images/hdiv.jpg" alt="" width="113" height="17" /></div>
	{/if}
{/foreach}

<div id="hads">{include file="adsense-468x15.tpl"}</div>
<div id="rel"><img src="{$THEME_URL}/images/rel-t.jpg" alt="" width="94" height="19" /></div>

<div id="relatedbar">

	{***** POPULAR ARTICLES ******}
	{fetch_articles assign=popArticles perPage=5 orderBy="popularityLast7days DESC" fields=title,url,publishedOn,popularityLast7days}
	{if $popArticles}	
		<div id="related" style="width:50%; float:left">
			<div><img src="{$THEME_URL}/images/rel-t2.jpg" alt="" width="94" height="38" align="absmiddle" /><strong>PAST WEEK'S TOP 5</strong></div>
			<div id="past5">
			{foreach item=article from=$popArticles name=popArticles}			  
				<a href="{$article.url}">{$article.title}</a> <span id="views">({$article.popularityLast7days|number_format} Page Views)</span><br />
			{/foreach}
			</div>
		</div>
	{/if}

	{***** RANDOM PICK ******}
	{fetch_article assign=randomArticle hasImage=true skip=allPrevious fields=title,url,images,summary orderBy="RAND()"}
	{if $randomArticle}	
	<div id="related" style="width:50%; float:left">
		<div id="relh"><center><strong>RANDOM PICK</strong></center></div>
		<div id="past5"><a href="{$randomArticle.url}"><img src="{$randomArticle.images.small.url}" width="{$randomArticle.images.small.width/1.5}" height="{$randomArticle.images.small.height/1.5}" alt="{$randomArticle.title}" align="left" hspace="10" /> <strong>{$randomArticle.title}</strong></a><br>{$randomArticle.summary|truncate:150}</div>
	</div>
	{/if}

</div>

{include file="footer.tpl"}